Subject: ash fly infestations

From: [email-masked](Michael L Roginsky )
Date: 27 Jun 1996 21:31:55 GMT

Would someone care to comment on an effective but less lethal
phosphorous based contact such as Diazanon. Matlathion lacks the punch.
It seems that a combination of contact poisons could be formulated to
target specifically the ash fly. Bees are gone, destroyed by Carbaryl
that is very effective in controlling the Jap beetle. Now adding the
contact poison just exarcebates the already scarce pollinators.

If you wish reply email, I am [email-masked]

Cheers.....:)